/**
 * This file is part of the MedSafe application which is commercial software created by MedVision360 B.V.
 * The source code is proprietary and confidential.
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited.
 *
 * Copyright (c) by MedVision360 B.V. All rights reserved.
 *
 * For the application name: io.medrecord.medsafe
 */
import { EventEmitter } from '@angular/core';
import * as Core from '@angular/core';
import { NgControl } from '@angular/forms';
import * as Forms from '@angular/forms';
import { IconType } from '../../../../models';
export declare class CheckboxComponent implements Forms.ControlValueAccessor, Core.OnInit {
    ngControl: NgControl;
    inputElementRef: Core.ElementRef;
    get control(): NgControl;
    defaultValue: any;
    labelDescription: string;
    description: string;
    hint: string;
    valueChanged: EventEmitter<boolean>;
    readonly iconTypes: typeof IconType;
    isSelected: boolean;
    disabled: boolean;
    onChange: any;
    onTouched: any;
    constructor(ngControl: NgControl);
    ngOnInit(): void;
    get inputId(): string | number;
    click(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(disabled: any): void;
}
